#include <stdio.h>
#include <stdlib.h>
#include <afblib/service.h>
#include "mxpsession.h"

int main (int argc, char** argv) {
   char* cmdname = *argv++; --argc;
   if (argc != 2) {
      fprintf(stderr, "Usage: %s port lockdir\n", cmdname);
      exit(1);
   }

   /* convert first argument to port number */
   char* endptr = argv[0];
   in_port_t port = strtol(argv[0], &endptr, 10);
   if (endptr == argv[0]) {
      fprintf(stderr, "%s: integer expected as argument\n",
         cmdname);
      exit(1);
   }
   --argc; ++argv;

   run_service(port, mxp_session, argc, argv);
}
